#include "buttons.h"
#include "hw_utils/all.h"

#include "utils/debounce.h"
#include "utils/timebase.h"
#include "bus/event_queue.h"

#include "com/sbmp_control.h"

/** AP button pressed */
static void btn_ap_pressed(void)
{
	info("--- AP BUTTON ---");
	tq_post(wificontrol_set_ap, NULL);
}

/** WPS button pressed */
static void btn_wps_pressed(void)
{
	info("--- WPS BUTTON ---");
	tq_post(wificontrol_start_wps, NULL);
}

/** Initialize debouncer for buttons */
void buttons_init(void)
{
	debounce_init(2);

	// AP
	debo_init_t debo_init = {
		.GPIOx = GPIOC,
		.pin = GPIO13,
		.debo_time = 80,
		.invert = true,
		.rising_cb = btn_ap_pressed,
		.falling_cb = NULL
	};
	debo_register_pin(&debo_init);

	// WPS
	debo_init.pin = GPIO14;
	debo_init.rising_cb = btn_wps_pressed;
	debo_register_pin(&debo_init);
}
