#pragma once

/* This file is adapted from the libopencm3 project. */

#include "main.h"
#include "utils/timebase.h"

typedef uint32_t mutex_t;

/**
 * @brief Lock a mutex.
 * @param lock    : the mutex to lock
 * @param timeout : max time to wait for the mutex to be available
 * @return success
 */
bool mutex_lock(mutex_t *lock, ms_time_t timeout);


/**
 * @brief Release a mutex.
 * @param lock : the mutex to release
 */
void mutex_unlock(mutex_t *lock);
