#pragma once
#include "main.h"
#include "utils/timebase.h"

typedef enum {
	SoftWDG_ACQ_IDLE,
} SoftWdgGroup;



/** Feed (reset) the watchdog */
#define WDG_Feed() do { IWDG_ReloadCounter(); } while(0)


void SoftWDG_Feed(SoftWdgGroup group);

// every ms
void SoftWDG_Tick1ms(void);

/**
 * @brief Configure the independent watchdog
 *
 * Tries to find a combination of the prescaller and preload value that matches
 * the requirement.
 *
 * Returns false if prescaller/preload could not be found - in this case,
 * the WDG is configured for 5 seconds.
 *
 * @param period : watchdog time in ms
 * @return success
 */
bool WDG_Configure(ms_time_t period);
