#include "com/debug.h"
#include "hw_utils/reset.h"

#include <stdlib.h>
#include <stdint.h>
#include <inttypes.h>


void *malloc_safe_do(size_t size, const char* file, uint32_t line)
{
	void *mem = malloc(size);
	if (mem == NULL) {
		// malloc failed
		error("Malloc failed in file %s on line %"PRIu32, file, line);
		SW_Reset();
	}

	return mem;
}


void *calloc_safe_do(size_t nmemb, size_t size, const char* file, uint32_t line)
{
	void *mem = calloc(size, nmemb);
	if (mem == NULL) {
		// malloc failed
		error("Malloc failed in file %s on line %"PRIu32, file, line);
		SW_Reset();
	}

	return mem;
}
